version: "3.5"
services:
  db:
    container_name: "d4eriver-db"
    build:
      context: ../
      dockerfile: ./docker/Dockerfile.db
    image: "d4e/river_db"
    networks:
      - d4e_river
  server:
    container_name: "d4eriver-artifacts"
    build:
      context: ../
      dockerfile: ./docker/Dockerfile.artifacts
    image: "d4e/river_artifacts"
    networks:
      - d4e_river
    depends_on:
      - db
  client:
    container_name: "d4eriver-client"
    build:
      context: ../
      dockerfile: ./docker/Dockerfile.gwt-client
    image: "d4e/river_client"
    networks:
      - d4e_river
    depends_on:
      - server
    volumes:
      - ../:/opt/d4e/river
    ports:
      - 8080:8080
networks:
  d4e_river:
    name: d4e_river
